> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add New Entity

> Posts data to add a new entity based on the provided program ID.



## OpenAPI

````yaml post /admin/entity/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/entity/{program_id}:
    post:
      tags:
        - Entities
      summary: Add New Entity
      description: Posts data to add a new entity based on the provided program ID.
      operationId: postAddEntity
      parameters:
        - name: program_id
          in: path
          description: Program ID
          required: true
          schema:
            type: integer
      requestBody:
        description: Data required for adding a new entity
        required: true
        content:
          application/json:
            schema:
              properties:
                en_child_name:
                  type: string
                en_gender:
                  type: string
                en_test_checkbox_2:
                  type: string
                program_id:
                  type: integer
                sp_num:
                  type: string
                sp_amount:
                  type: string
              type: object
      responses:
        '200':
          description: Entity added successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Entity Profile saved
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: >-
                      Error: Please enter a valid number for the sponsorship
                      number.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````